@import "@/assets/scss/global";
.modal-container {
    height: fit-content !important;
    width: fit-content !important;
    margin: 0 !important;
    max-width: unset !important;
    [class~='rs-modal-content'] {
        max-width: 930px;
        width: calc(100vw - 40px);
        max-height: 560px;
        height: auto;
        padding: 0;
        border-radius: 12px;
        overflow: hidden;

        @include tabletScreen {
            height: fit-content;
        }
    }

    [class~='rs-modal-body'] {
        display: flex;
        width: 100%;
        height: fit-content;
        flex-direction: column;
        align-items: flex-start;
        gap: 12px;
        margin: 0;
        padding: 0;
        overflow: unset !important;
        max-height: 560px !important;
    }
    .content-modal {
        position: relative;
        width: 100%;
        height: fit-content;

        .icon-close {
            cursor: pointer;
            position: absolute;
            top: 5px;
            right: 5px;
            height: 20px;
            width: 20px;
            background-color: white;
            border-radius: 8px;

            @include smallScreen {
                top: 10px;
                right: 10px;
                height: 30px;
                width: 30px;
            }

        }

        .image-content {
            height: 100%;
            width: 100%;
            object-fit: contain;
        }

        .center {
            display: flex;
            justify-content: center;
            align-items: center;
        }
    }

    &.modal-text {
        [class~='rs-modal-content'] {
            max-width: 530px;
            width: calc(100vw - 40px);
            max-height: fit-content;
            height: auto;
            padding: 0;
            border-radius: 12px;
            overflow: hidden;

            @include tabletScreen {
                height: fit-content;
            }
        }

        [class~='rs-modal-body'] {
            display: flex;
            width: 100%;
            height: fit-content;
            flex-direction: column;
            align-items: flex-start;
            gap: 12px;
            margin: 0;
            padding: 24px;
            overflow: unset !important;
            max-height: 560px !important;
        }
        .content-modal {
            position: relative;
            width: 100%;
            height: fit-content;

            .content {
                display: flex;
                flex-direction: column;
                justify-content: center;
                align-items: center;
                gap: 24px;

                span {
                    color: #202226;
                    text-align: center;
                    font-size: 20px;
                    font-weight: 500;
                    line-height: 160%;
                }
                b {
                    color: #202226;
                    font-size: 20px;
                    font-weight: 700;
                    line-height: 160%;
                }

                .color-text {
                    color: #EF4E2B;
                    font-size: 20px;
                    font-weight: 700;
                    line-height: 160%;
                }

                .action {
                    width: 100%;
                    display: flex;
                    justify-content: flex-end;

                    button {
                        padding: 12px 24px;
                        border-radius: 40px;
                        background: #F6F6F6;
                        color: #8E91A0;
                        text-align: center;
                        font-size: 14px;
                        font-weight: 400;
                    }
                }
            }

            .icon-close {
                cursor: pointer;
                position: absolute;
                top: -10px;
                right: -10px;


                @include smallScreen {
                    top: -10px;
                    right: -10px;
                }

            }

            .image-content {
                height: 100%;
                width: 100%;
                object-fit: contain;
            }

            .center {
                display: flex;
                justify-content: center;
                align-items: center;
            }
        }
    }
}